## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XSLTInputSource Class Reference

Collaboration diagram for XSLTInputSource:

[legend]
List of all members.

## Public Types

- typedef std::istream StreamType

## Public Member Functions

- XSLTInputSource ()
- XSLTInputSource (const XSLTInputSource &theSource)
    Copy constructor.
- XSLTInputSource & operator= (const XSLTInputSource &theRHS)
    Assignment operator.
- XSLTInputSource (const XMLCh *systemId)
    Create a new input source with a system identifier.
- XSLTInputSource (const XalanDOMString &systemId)
    Create a new input source with a system identifier.
- XSLTInputSource (const char *systemId)
    Create a new input source with a system identifier.
- XSLTInputSource (const char *systemId, const char *publicId)
    Create a new input source with a system identifier and a public identifier.
- XSLTInputSource (const XMLCh *systemId, const XMLCh *publicId)
    Create a new input source with a system identifier and a public identifier.
- XSLTInputSource (const XalanDOMString &systemId, const XalanDOMString &publicId)
    Create a new input source with a system identifier and a public identifier.
- XSLTInputSource (XalanNode *node)
    Create a new input source with a DOM node.
- XSLTInputSource (StreamType *stream)
    Create a new input source with std stream.
- XSLTInputSource (StreamType &stream)
    Create a new input source with std stream.
- virtual BinInputStreamType * makeStream () const
    Makes the byte stream for this input source.
- void setNode (XalanNode *node)
    Set the DOM node for this input source.
- XalanNode * getNode () const
    Retrieve the DOM node for this input source.
- StreamType * getStream () const
- void setStream (StreamType *stream)

## Member Typedef Documentation

typedef std::istream XSLTInputSource::StreamType

## Constructor & Destructor Documentation

XSLTInputSource::XSLTInputSource | ( |  | ) | `[explicit]`

XSLTInputSource::XSLTInputSource | ( | const XSLTInputSource & | theSource | ) |

| Copy constructor.

XSLTInputSource::XSLTInputSource | ( | const XMLCh * | systemId | ) |

Create a new input source with a system identifier.

Applications may use setPublicId to include a public identifier as well, or setEncoding to specify the character encoding, if known.

If the system identifier is a URL, it must be full resolved.

Parameters:

  systemId | system identifier (URI)

XSLTInputSource::XSLTInputSource | ( | const XalanDOMString & | systemId | ) |

Create a new input source with a system identifier.

Applications may use setPublicId to include a public identifier as well, or setEncoding to specify the character encoding, if known.

If the system identifier is a URL, it must be full resolved.

Parameters:

  systemId | system identifier (URI)

XSLTInputSource::XSLTInputSource | ( | const char * | systemId | ) |

Create a new input source with a system identifier.

Applications may use setPublicId to include a public identifier as well, or setEncoding to specify the character encoding, if known.

If the system identifier is a URL, it must be full resolved.

Parameters:

  systemId | system identifier (URI)

XSLTInputSource::XSLTInputSource | ( | const char * | systemId,
|  | const char * | publicId
| ) |

Create a new input source with a system identifier and a public identifier.

If the system identifier is a URL, it must be full resolved.

Parameters:

  systemId | system identifier (URI)
  publicId | public identifier

XSLTInputSource::XSLTInputSource | ( | const XMLCh * | systemId,
|  | const XMLCh * | publicId
| ) |

Create a new input source with a system identifier and a public identifier.

If the system identifier is a URL, it must be full resolved.

Parameters:

  systemId | system identifier (URI)
  publicId | public identifier

XSLTInputSource::XSLTInputSource | ( | const XalanDOMString & | systemId,
|  | const XalanDOMString & | publicId
| ) |

Create a new input source with a system identifier and a public identifier.

If the system identifier is a URL, it must be full resolved.

Parameters:

  systemId | system identifier (URI)
  publicId | public identifier

XSLTInputSource::XSLTInputSource | ( | XalanNode * | node | ) |

Create a new input source with a DOM node.

Application writers may use setSystemId() to provide a base for resolving relative URIs, and setPublicId to include a public identifier.

Parameters:

  node | DOM node that is root of the document

XSLTInputSource::XSLTInputSource | ( | StreamType * | stream | ) |

Create a new input source with std stream.

Application writers may use setSystemId() to provide a base for resolving relative URIs, and setPublicId to include a public identifier.

Parameters:

  stream | the input stream...

XSLTInputSource::XSLTInputSource | ( | StreamType & | stream | ) |

Create a new input source with std stream.

Application writers may use setSystemId() to provide a base for resolving relative URIs, and setPublicId to include a public identifier.

Parameters:

  stream | the input stream...

## Member Function Documentation

XalanNode* XSLTInputSource::getNode | ( |  | ) | const

Retrieve the DOM node for this input source.

Returns:
  DOM node that is root of the document

StreamType* XSLTInputSource::getStream | ( |  | ) | const

virtual BinInputStreamType* XSLTInputSource::makeStream | ( |  | ) | const`[virtual]`

Makes the byte stream for this input source.

The SAX parser will ignore this if there is also a character stream specified, but it will use a byte stream in preference to opening a URI connection itself.

Returns:
  pointer to byte stream created

XSLTInputSource& XSLTInputSource::operator= | ( | const XSLTInputSource & | theRHS | ) |

| Assignment operator.

void XSLTInputSource::setNode | ( | XalanNode * | node | ) |

Set the DOM node for this input source.

Parameters:

  node | DOM node that is root of the document

void XSLTInputSource::setStream | ( | StreamType * | stream | ) |

The documentation for this class was generated from the following file:

- XSLTInputSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.